/* 
Clauses in the SELECT command:
SELECT select_list 
    [FROM table_source] 
        [WHERE search_condition] [ORDER BY order_by_list] [LIMIT row_limit];

*/

USE ap;

-- SELECT all fields from a table specifying the database
SELECT * from ap.invoices;

-- SELECT all fields from a table using the default database
SELECT * from invoices;

--  SELECT fields from a total order the output by invoice_total
-- in descending order
SELECT invoice_number, invoice_date, invoice_total
FROM invoices
ORDER BY invoice_total;

-- Create a calculated field named total_credits 
-- Specify a where criterion 
SELECT 
    invoice_id,
    invoice_total,
    credit_total + payment_total AS total_credits
FROM
    invoices
WHERE
    invoice_id = 17;
    
 -- limit the result set by an interval for the invoice_id field    
 SELECT 
    invoice_id, invoice_total
FROM
    invoices
WHERE
    invoice_id <= 25 AND invoice_id >= 10; 
    
-- rewrite the above example with BETWEEN
 -- limit the result set by an interval for the invoice_id field    
 SELECT 
    invoice_id, invoice_total
FROM
    invoices
WHERE
    invoice_id BETWEEN 10 AND  25; 
 
 -- BETWEEN used with a date variable 
SELECT 
    invoice_number, invoice_date, invoice_total
FROM
    invoices
WHERE
    invoice_date BETWEEN '2014-06-01' AND '2014-06-30'
ORDER BY invoice_date DESC;
 
 -- another filter using the WHERE clause 
SELECT 
    invoice_number, invoice_date, invoice_total
FROM
    invoices
WHERE
    invoice_total > 50000;